# Interface methods for submodule: TranslationTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: TranslationTransform
class TranslationTransformProxy(_TransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetOffset(self) -> Sequence[float]:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetOffset(self, offset: Sequence[float]) -> None:
		""""""
		...

	def Compose(self, other, pre: bool = False) -> None:
		""""""
		...

	def Translate(self, offset: Sequence[float], pre: bool = False) -> None:
		""""""
		...

	def TransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vect: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vect: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def TransformCovariantVector(self, vect: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def BackTransform(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def BackTransform(self, vect: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def BackTransform(self, vect: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, point: Sequence[float], jacobian) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToPosition(self, x: Sequence[float], jac: vnl_matrix_fixed) -> None:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def IsLinear(self) -> bool:
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

